summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD12
1 files changed, 8 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6f00987ff71..7d028b11ef9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,24 +3,26 @@
pkgname=bozohttpd
pkgver=20150320
-pkgrel=2
+pkgrel=3
pkgdesc="A small and secure HTTP version 1.1 server"
arch=('i686' 'x86_64')
url="http://www.eterna.com.au/bozohttpd/"
license=('BSD')
-depends=('openssl')
+depends=('openssl' 'lua')
optdepends=('php-cgi')
source=("http://www.eterna.com.au/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
'bozohttpd.service'
'bozohttpd.install'
'sample.cgi'
'sample_perl.cgi'
+ 'LICENSE'
)
md5sums=('60e2cf933d028a096523214fab8e6590'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
+ 'SKIP'
)
install=bozohttpd.install
@@ -29,17 +31,19 @@ build()
cd "${pkgname}-${pkgver}"
cp Makefile.boot Makefile
sed -i 's/d_namlen/d_reclen/g' bozohttpd.c
- make || return 1
+ make LOCAL_CFLAGS= LDFLAGS=-llua || return 1
}
package()
{
cd "${pkgname}-${pkgver}"
mkdir -p "${pkgdir}"/usr/{bin,lib/cgi-bin,share/{${pkgname},man/man8}}
- install -D *.* testsuite/*.* testsuite/data/*.* "${pkgdir}/usr/share/${pkgname}/"
+ install -D testsuite/*.* testsuite/data/*.* "${pkgdir}/usr/share/${pkgname}/"
+ install -D *.lua "${pkgdir}/usr/lib/cgi-bin/"
install -m755 bozohttpd "${pkgdir}/usr/bin/"
install -m644 bozohttpd.8 "${pkgdir}/usr/share/man/man8/"
cd "$srcdir"
install -Dm644 bozohttpd.service "${pkgdir}"/usr/lib/systemd/system/bozohttpd.service
install -D *.cgi "${pkgdir}/usr/lib/cgi-bin/"
+ install -Dm644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}